---
variables:
  ANSIBLE_IMAGE_NAME: 'ansible'
  ANSIBLE_VERSION: '9.13.0'
  ANSIBLE_LINT_VERSION: '24.7.0'
  GITLAB_CI_DOCKER_IMAGE_NAME: '${ANSIBLE_IMAGE_NAME}'
  GITLAB_CI_DOCKER_IMAGE_VERSION: '${ANSIBLE_VERSION}'
  GITLAB_CI_DOCKER_PULL: '1'
  GITLAB_CI_DOCKER_BUILDX_PLATFORMS: 'linux/amd64,linux/arm/v7,linux/arm64'
stages:
  - static
  - deploy
  - security

include:
  - project: 'librespacefoundation/templates/gitlab-ci'
    ref: '49bc98ac14e67d048eb7d39120b0504a8afddda5'
    file: '.gitlab-ci-sign-off.yml'
  - project: 'librespacefoundation/templates/gitlab-ci'
    ref: '49bc98ac14e67d048eb7d39120b0504a8afddda5'
    file: '.gitlab-ci-docker.yml'
  - template: 'Workflows/MergeRequest-Pipelines.gitlab-ci.yml'
  - template: 'Security/Container-Scanning.gitlab-ci.yml'

# 'static' stage
sign_off:
  stage: static
  needs: []

# 'deploy' stage
docker:
  stage: deploy
  needs:
    - job: sign_off
      artifacts: false
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
    - if: $CI_MERGE_REQUEST_IID

# 'security' stage
container_scanning:
  stage: security
  needs:
    - job: docker
      artifacts: false
  variables:
    CI_APPLICATION_REPOSITORY: ${CI_REGISTRY_IMAGE}/${GITLAB_CI_DOCKER_IMAGE_NAME}
    CI_APPLICATION_TAG: latest
  rules:
    - if: $CI_REGISTRY_IMAGE && $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
